package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[审计操作行为]
 */
@Component("ionicdemo_AuditDEActionCodeList")
public class AuditDEActionCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_AuditDEAction");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("CREATE");
		item0.setId("CREATE");
		item0.setText("建立");
		item0.setLabel("建立");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("CREATE",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("UPDATE");
		item1.setId("UPDATE");
		item1.setText("更新");
		item1.setLabel("更新");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("UPDATE",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("DELETE");
		item2.setId("DELETE");
		item2.setText("删除");
		item2.setLabel("删除");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("DELETE",item2);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}